library verilog;
use verilog.vl_types.all;
entity twidLUT is
    generic(
        LOGPTS          : integer := 8;
        TDWIDTH         : integer := 32
    );
    port(
        clk             : in     vl_logic;
        wA              : in     vl_logic_vector;
        wEn             : in     vl_logic;
        rA              : in     vl_logic_vector;
        D               : in     vl_logic_vector;
        Q               : out    vl_logic_vector
    );
end twidLUT;
